#!/bin/bash
#
# chown root.www-data $0
#
# root@fernzugriff:~# ping -c1 google.com   | head -n2 | tail -n1
# 64 Bytes von google.com: icmp_seq=1 ttl=59 Zeit=13.1 ms
#
# root@fernzugriff:~# ping -c1 9.9.9.33   | tail -n2 | head -n1
# 1 packets transmitted, 0 received, 100% packet loss, time 0ms
#

LANG=C
ping -c1 google.com > /tmp/checkInetGoogle.txt 2>&1
# ping -c1 googlessss.com > /tmp/checkInetGoogle.txt 2>&1   # for testing => "packages lost"

if [ $? == 0 ]; then
    # 64 Bytes from  ham11s01-in-x03.1e100.net (2a00:1450:4005:800::2003): icmp_seq=1 ttl=119 Zeit=23.0 ms
    # ===>>  readable for user:  64 Bytes from google.com: icmp_seq=1 ttl=59 Zeit=13.1 ms
    res8=$(cat /tmp/checkInetGoogle.txt | head -n2 | tail -n1 )
    result=$(echo ${res8%from*} from google.com: ${res8#*):} )
    echo $result  # for testing

    echo $result >  /tmp/checkInetGoogleResult.txt
    echo $result >> /tmp/checkInetGoogleResult.txt
    echo $result >> /tmp/checkInetGoogleResult.txt

else
    # 1 packets transmitted, 0 received, 100% packet loss, time 0ms
    echo $(cat /tmp/checkInetGoogle.txt | tail -n2 | head -n1)  # for testing
    echo $(cat /tmp/checkInetGoogle.txt | tail -n2 | head -n1) > /tmp/checkInetGoogleResult.txt

fi

# output either
#  64 Bytes from google.com icmp_seq=1 ttl=59 Zeit=13.1 ms
# or:
#  1 packets transmitted, 0 received, 100% packet loss, time 0ms
